Browser Requirements - Updated 4/12/2017

We reserve the right to update our browser requirements at any time, but in general our philosophy is to provide support for all current and recent releases of modern browsers across commonly available operating system platforms.

All browsers utilized with our applications must support the following: We officially support the following browsers for use with our applications.  We do not provide support for beta, pre-release, or development browser versions.
Desktop Browsers Windows Mac OS Linux
Internet Explorer 9.0+ ​N/A
Microsoft Edge Current
​N/A
Firefox ​Current, previous and ESR
Google Chrome
Current and previous
Opera 15.0+ (Blink) and 12.0+ (Presto)
Safari N/A 9.1+ N/A
Mobile Browsers Version
Safari Mobile ​8.0+
Chrome Mobile ​Yes
Opera Mobile ​14.0+
IE Mobile ​10.0+
Although we only provide support for the above mainstream browsers, we anticipate that many other browsers will also be compatible with our applications.